php有dom的utf8格式引起微信支付插件的不能正常运行

 
0 1390
泡沫随风飘
2015-10-27 22:40

php有dom的utf8格式引起微信支付插件的不能正常运行

以前在安装微信支付插件的时候,特别害怕在linux服务器上安装ectouch的微信支付插件,总是要调试很久。比如微信支付按钮显示”?????”、页面乱码、页面空白等等(windows服务器上很少出现),总是要浪费不少时间去想办法解决,虽然最终能运行,但总是不能找到问题关键。

最近在安装微信支付插件的时候又遇到这个问题了,我已经准备耗个三四个小时,把它弄”巴适“。客户那边已经找到原因了——竟然是文件带有dom头…

utf-8 带dom

Unicode标准允许在UTF-8中使用 BOM,但UTF-8是“自解释”的编码即每个编码单位本身会有1-n位表示编码规则,所以就根本没必要在文件开头添加一个标志。但在文件开头添加一个标志也很容处理,但为什么unix环境下就不能兼容一下呢。

但对于我这个编程小白来说,只有以后注意咯。

本文内容由互联网用户自发贡献,版权归作者所有,本站不拥有所有权也不承担相关法律责任。如需转载请按以下形式注明来源: 复制

文章来源:阿里云牛优惠资讯网
文章标题:php有dom的utf8格式引起微信支付插件的不能正常运行
原文地址:https://aliyunnew.com/a/77.html
发布时间:2015-10-27 22:40
相关话题
没有相关话题
猜您喜欢
回帖
  • 抢占沙发~~